## r-cran-png 0.1

=== DESCRIPTION ===
Package: png
Version: 0.1-8
Title: Read and write PNG images
Author: Simon Urbanek <Simon.Urbanek@r-project.org>
Maintainer: Simon Urbanek <Simon.Urbanek@r-project.org>
Depends: R (>= 2.9.0)
Description: This package provides an easy and simple way to read, write and display bitmap images stored in the PNG format. It can read and write both files and in-memory raw vectors.
License: GPL-2 | GPL-3
SystemRequirements: libpng
URL: http://www.rforge.net/png/
NeedsCompilation: yes
Packaged: 2022-11-29 09:42:31 UTC; rforge
Repository: CRAN
Date/Publication: 2022-11-29 11:12:53 UTC

## r-cran-png 0.1-7

=== debian/changelog ===
r-cran-png (0.1-7-1) unstable; urgency=medium

  * Initial release (Closes: #837345)

 -- Andreas Tille <tille@debian.org>  Sat, 10 Sep 2016 22:00:00 +0200

=== debian/control ===
Source: r-cran-png
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Priority: optional
Build-Depends: debhelper (>= 9),
               cdbs,
               r-base-dev,
               libpng-dev,
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/viewvc/debian-med/trunk/packages/R/r-cran-png/trunk/
Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/R/r-cran-png/trunk/
Homepage: http://cran.r-project.org/web/packages/png

Package: r-cran-png
Architecture: any
Depends: ${R:Depends},
         ${misc:Depends},
         ${shlibs:Depends}
Description: GNU R package to read and write PNG images
 This package provides an easy and simple way to read, write and display
 bitmap images stored in the PNG format. It can read and write both
 files and in-memory raw vectors.

=== debian/rules ===
#!/usr/bin/make -f
export DEB_BUILD_HARDENING=1
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
include /usr/share/R/debian/r-cran.mk

=== debian/watch ===
version=3
http://cran.r-project.org/src/contrib/png_([-0-9\.]*)\.tar\.gz

## r-cran-png 0.1-8

=== debian/changelog ===
r-cran-png (0.1-8-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 18:24:23 +1100

r-cran-png (0.1-8-1build1) noble; urgency=medium

  * No-change rebuild against libpng16-16t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 29 Feb 2024 08:08:25 +0000

r-cran-png (0.1-8-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.1 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)

 -- Andreas Tille <tille@debian.org>  Mon, 05 Dec 2022 14:23:36 +0100

r-cran-png (0.1-7-4) unstable; urgency=medium

  * Standards-Version: 4.5.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)

 -- Andreas Tille <tille@debian.org>  Sat, 05 Sep 2020 23:14:51 +0200

r-cran-png (0.1-7-3) unstable; urgency=medium

  * debhelper 11
  * Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-
    lists.debian.net>
  * Point Vcs fields to salsa.debian.org
  * dh-update-R to update Build-Depends

 -- Andreas Tille <tille@debian.org>  Mon, 18 Jun 2018 07:06:32 +0200

r-cran-png (0.1-7-2) unstable; urgency=medium

  * Moved packaging from SVN to Git
  * Standards-Version: 4.1.1
  * debhelper 10
  * Convert from cdbs to dh-r
  * Secure URI in watch file
  * Canonical homepage for CRAN packages
  * Testsuite: autopkgtest-pkg-r

 -- Andreas Tille <tille@debian.org>  Fri, 20 Oct 2017 11:40:57 +0200

=== debian/control ===
Source: r-cran-png
Section: gnu-r
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-png
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-png.git
Homepage: https://cran.r-project.org/package=png
Standards-Version: 4.6.1
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev,
               libpng-dev
Testsuite: autopkgtest-pkg-r

Package: r-cran-png
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R package to read and write PNG images
 This package provides an easy and simple way to read, write and display
 bitmap images stored in the PNG format. It can read and write both
 files and in-memory raw vectors.

=== debian/watch ===
version=4
https://cran.r-project.org/src/contrib/png_([-0-9\.]*)\.tar\.gz
